Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 658403002: DevTools: Support regex search and case sensitive search in sources panel (Closed)

Created:
4 years, 9 months ago by vsevik
Modified:
4 years, 9 months ago
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, malch+blink_chromium.org, yurys+blink_chromium.org, lushnikov+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, sergeyv+blink_chromium.org, aandrey+blink_chromium.org
Project:
blink
Visibility:
Public.

Description

DevTools: Support regex search and case sensitive search in sources panel R=pfeldman, lushnikov BUG=352174 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=184042

Patch Set 1 #

Total comments: 4

Patch Set 2 : Test added #

Patch Set 3 : Comments addressed #

Patch Set 4 : #

Patch Set 5 : Fixed tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+521 lines, -115 lines) Patch
M LayoutTests/http/tests/inspector/search/resources/search.js View 1 1 chunk +1 line, -0 lines 0 comments Download
A LayoutTests/http/tests/inspector/search/source-frame-search.html View 1 1 chunk +86 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/inspector/search/source-frame-search-expected.txt View 1 2 3 1 chunk +38 lines, -0 lines 0 comments Download
M Source/devtools/front_end/components/Panel.js View 1 chunk +0 lines, -15 lines 0 comments Download
M Source/devtools/front_end/components/SearchableView.js View 1 2 3 4 9 chunks +124 lines, -15 lines 0 comments Download
M Source/devtools/front_end/console/ConsoleView.js View 1 2 chunks +19 lines, -2 lines 0 comments Download
M Source/devtools/front_end/elements/ElementsPanel.js View 1 2 2 chunks +19 lines, -2 lines 0 comments Download
M Source/devtools/front_end/extensions/ExtensionPanel.js View 1 2 2 chunks +19 lines, -2 lines 0 comments Download
M Source/devtools/front_end/inspectorStyle.css View 3 chunks +24 lines, -9 lines 0 comments Download
M Source/devtools/front_end/network/NetworkPanel.js View 1 2 4 chunks +38 lines, -5 lines 0 comments Download
M Source/devtools/front_end/profiler/ProfilesPanel.js View 1 2 chunks +19 lines, -2 lines 0 comments Download
M Source/devtools/front_end/source_frame/SourceFrame.js View 1 2 4 chunks +43 lines, -40 lines 0 comments Download
M Source/devtools/front_end/sources/SourcesView.js View 1 2 7 chunks +32 lines, -16 lines 0 comments Download
M Source/devtools/front_end/timeline/TimelinePanel.js View 1 2 chunks +19 lines, -2 lines 0 comments Download
M Source/devtools/front_end/ui/StatusBarButton.js View 1 4 chunks +40 lines, -5 lines 0 comments Download

Messages

Total messages: 28 (11 generated)
vsevik
PTAL
4 years, 9 months ago (2014-10-17 15:01:35 UTC) #2
aandrey
looks good https://codereview.chromium.org/658403002/diff/1/Source/devtools/front_end/ui/StatusBarButton.js File Source/devtools/front_end/ui/StatusBarButton.js (right): https://codereview.chromium.org/658403002/diff/1/Source/devtools/front_end/ui/StatusBarButton.js#newcode476 Source/devtools/front_end/ui/StatusBarButton.js:476: this.element.createChild("div", "glyph"); did you really mean to ...
4 years, 9 months ago (2014-10-18 13:12:36 UTC) #4
vsevik
On 2014/10/18 13:12:36, aandrey wrote: > looks good > > https://codereview.chromium.org/658403002/diff/1/Source/devtools/front_end/ui/StatusBarButton.js > File Source/devtools/front_end/ui/StatusBarButton.js (right): ...
4 years, 9 months ago (2014-10-18 14:25:03 UTC) #5
lushnikov
please add a test
4 years, 9 months ago (2014-10-20 11:26:01 UTC) #6
vsevik
On 2014/10/20 11:26:01, lushnikov wrote: > please add a test Done, PTAL
4 years, 9 months ago (2014-10-20 13:07:45 UTC) #7
lushnikov
https://codereview.chromium.org/658403002/diff/1/Source/devtools/front_end/components/SearchableView.js File Source/devtools/front_end/components/SearchableView.js (right): https://codereview.chromium.org/658403002/diff/1/Source/devtools/front_end/components/SearchableView.js#newcode64 Source/devtools/front_end/components/SearchableView.js:64: this._caseSensitiveButton = new WebInspector.StatusBarTextButton("Case sensitive", "case-sensitive-search", "Aa", 2); missing ...
4 years, 9 months ago (2014-10-20 13:09:20 UTC) #8
lushnikov
lgtm
4 years, 9 months ago (2014-10-20 14:06:49 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/658403002/60001
4 years, 9 months ago (2014-10-20 14:07:21 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/linux_blink_rel/builds/29970)
4 years, 9 months ago (2014-10-20 15:15:29 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/658403002/80001
4 years, 9 months ago (2014-10-20 15:30:52 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/win_gpu_triggered_tests/builds/65484)
4 years, 9 months ago (2014-10-20 16:31:43 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/658403002/80001
4 years, 9 months ago (2014-10-20 16:39:19 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: win_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/win_gpu_triggered_tests/builds/65484)
4 years, 9 months ago (2014-10-20 16:43:35 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/658403002/80001
4 years, 9 months ago (2014-10-20 17:30:31 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_rel/builds/32664)
4 years, 9 months ago (2014-10-20 22:20:31 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/658403002/80001
4 years, 9 months ago (2014-10-21 04:27:31 UTC) #27
commit-bot: I haz the power
4 years, 9 months ago (2014-10-21 05:53:03 UTC) #28
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as 184042

Powered by Google App Engine
This is Rietveld 408576698